# TitleSeoUrl
TitleSeoUrl is jquery plugin to create seo friendly urls with article/post title or to convert a title to a URL slug in jQuery

## Demo
Visit [demo here](http://htmlpreview.github.io/?https://github.com/tedirghazali/TitleSeoUrl/blob/master/index.html)

## Screenshot
![Screenshot Title to Seo Url](screenshot.png)

# How to use it
1. Import jQuery and jQuery TitleSeoUrl into your html page
```html
<script src="jquery.min.js"></script>
<script src="jquery.titleseourl.js"></script>
```

2. Create form input and div element
```html
<input type="text" id="editurl" placeholder="Title article..."/>
<div id="txturl"></div>
```
3. Call the plugin with default options
```javascript
$('#editurl').titleSeoUrl({
    domain: 'http://yourdomain.com/', // your website domain
    subdir: 'subdirectories/', // subdirectories or subdomain
    format: '.html', // format page .html, .php, etc
    urlbox: '#txturl', // id result url using div, span or input
    max: '' // maximal url length (long url) or create short url exp: max = '45'
});
```
4. Done!

# Video tutorial
[![Code Tube Channel](https://img.youtube.com/vi/oOpS0QjN1X4/0.jpg)](https://www.youtube.com/watch?v=oOpS0QjN1X4)
